org.apache.cassandra.batchlog

## Class BatchlogManager

- java.lang.Object
- - org.apache.cassandra.batchlog.BatchlogManager

All Implemented Interfaces:
  BatchlogManagerMBean

    public class BatchlogManager
    extends java.lang.Object
    implements BatchlogManagerMBean

### Nested Class Summary

Nested Classes
`static class` `BatchlogManager.EndpointFilter`

### Field Summary

Fields
`static long` `BATCHLOG_REPLAY_TIMEOUT`
`static BatchlogManager` `instance`
`static java.lang.String` `MBEAN_NAME`

### Constructor Summary

Constructors
Constructor and Description
`BatchlogManager()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `countAllBatches()` Counts all batches currently in the batchlog.
`void` `forceBatchlogReplay()` Forces batchlog replay.
`static long` `getBatchlogTimeout()`
`long` `getTotalBatchesReplayed()`
`static void` `remove(java.util.UUID id)`
`void` `shutdown()`
`void` `start()`
`java.util.concurrent.Future<?>` `startBatchlogReplay()`
`static void` `store(Batch batch)`
`static void` `store(Batch batch, boolean durableWrites)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MBEAN_NAME

    public static final java.lang.String MBEAN_NAME

See Also:
  Constant Field Values

#### instance

    public static final BatchlogManager instance

#### BATCHLOG_REPLAY_TIMEOUT

    public static final long BATCHLOG_REPLAY_TIMEOUT

### Constructor Detail

#### BatchlogManager

    public BatchlogManager()

### Method Detail

#### start

    public void start()

#### shutdown

    public void shutdown()
                  throws java.lang.InterruptedException

Throws:
  `java.lang.InterruptedException`

#### remove

    public static void remove(java.util.UUID id)

#### store

    public static void store(Batch batch)

#### store

    public static void store(Batch batch,
                             boolean durableWrites)

#### countAllBatches

    public int countAllBatches()

Description copied from interface: `BatchlogManagerMBean`
Counts all batches currently in the batchlog.

Specified by:
  `countAllBatches` in interface `BatchlogManagerMBean`
Returns:
  total batch count

#### getTotalBatchesReplayed

    public long getTotalBatchesReplayed()

Specified by:
  `getTotalBatchesReplayed` in interface `BatchlogManagerMBean`
Returns:
  total count of batches replayed since node start

#### forceBatchlogReplay

    public void forceBatchlogReplay()
                             throws java.lang.Exception

Description copied from interface: `BatchlogManagerMBean`
Forces batchlog replay. Blocks until completion.

Specified by:
  `forceBatchlogReplay` in interface `BatchlogManagerMBean`
Throws:
  `java.lang.Exception`

#### startBatchlogReplay

    public java.util.concurrent.Future<?> startBatchlogReplay()

#### getBatchlogTimeout

    public static long getBatchlogTimeout()